GEODE: Add New Integration test for geode-native

- Separate job for New Integration Tests
- As the requirement changed the jobs will be executed on Ubuntu and not
SLES15
- Executing verification jobs in parallel to save time
- Add configuration steps for Ubuntu as part of slave setup

Change-Id: I07b07b208fb89260cd29d09083c4da91d1ea049b
diff --git a/jjb/geode-native/apache-geode-native-test/new_integrationtest.sh b/jjb/geode-native/apache-geode-native-test/new_integrationtest.sh
new file mode 100755
index 0000000..870cd93
--- /dev/null
+++ b/jjb/geode-native/apache-geode-native-test/new_integrationtest.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2018-2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+set -o nounset
+set -o errexit
+set -o pipefail
+#set -o xtrace
+
+GEODE_NATIVE_DIR="${WORKSPACE}/geode-native"
+SOURCE_DIR="/geode-native"
+
+DOCKER_ARGS="--rm --volume=${GEODE_NATIVE_DIR}:${SOURCE_DIR}"
+COMMAND="echo -e '\n*** Build ***\n' && mkdir build && cd build &&\
+  cmake ${SOURCE_DIR} -DCMAKE_CXX_FLAGS=-stdlib=libc++ \\
+  -DCMAKE_CXX_CLANG_TIDY=clang-tidy -DWITH_IPV6=ON &&\
+  cmake --build . -- -j${JOBS} && echo -e '\n*** New Integration Tests ***\n' &&\
+  cd /build/cppcache/integration/test && ctest -j1"
+
+docker run ${DOCKER_ARGS} "${GEODE_NATIVE_DOCKER_IMAGE}" bash -c "${COMMAND}"